      SUBROUTINE QLIST(IQ,IRT)
      CHARACTER*1 MTC,AA1,AB1
      CHARACTER*2 AGNT,AA2,WT
      CHARACTER*3      MUNT,REL,LOCT,SEAT,SUR,SYM
      CHARACTER*12 ADH
      CHARACTER*30 QTAB
      COMMON NQI,QT(6),TWL(6),D(10),DL(10)
      COMMON PR(1),DXT,HT,HML,SXS,SYS,SZS,TIVCH,UT,BR,SF,TMP,ALFA,SY100,
     +  BETA,SZ100,Z,RC,V,QS
      COMMON TEVP,SA,FL,FMW,FMV,VP,BP
      COMMON HS,DS,TSC,VS,RDE,FP,HR,CR
      COMMON SLA,SLO,CC,CH,AE,PMM,Z0
      COMMON LOCT(1),SEAT,MUNT,AGNT,AA1,REL,MTC,AA2,
     $       SUR,WT,AB1,ADH,ADR,AD2
      COMMON IPR(1),ND,IPO,I2MC,IMA,IPC,IMM,IDD,IHR,NOV,INP,MRL,NMU,ID2,
     +  IDEP,IMTCH,IM,IR,IL,IRL,ISM,IVD,K33,K42
      DIMENSION IQM(36),IQR(36),QTAB(37),SYM(37)
      DATA IQR /63,43,44,4,45,46,0,47,48,9,13,12,0,24,0,41,49,21,
     +         22,23,24,1,59,28,29,30,31,32,33,34,35,36,60,38,40,50/
      DATA IQM / 10*1,4,9*1,4,10*1,2,3,2,1,1/
      DATA QTAB/
     $'YOUR NOVICE LEVEL: 3,2,1 OR 0 ','LOCATION                      ',
     $'SEASON                        ','HEIGHT OF MIXING LAYER        ',
     $'MUNITION TYPE                 ','AGENT TYPE                    ',
     $'SPILL OR AIRBORNE SOURCE (mg) ','RELEASE TYPE                  ',
     $'STABILITY TYPE                ','WINDSPEED (m/sec)             ',
     $'ALF, SYR(m), BTA, SZR(m)      ','TEMPERATURE (deg C)           ',
     $'Q()(mg), TQ()(min)            ','MOLECULAR WEIGHT              ',
     $'ALL OTHER INPUT               ','ATMOSPHERIC PRESSURE (mm Hg)  ',
     $'SURFACE CODE                  ','TIME OF EVAPORATION (min)     ',
     $'AREA OF WETTED SURFACE (sq m) ','LENGTH OF SURFACE DOWNWIND (m)',
     $'FMW,FMV,VAP(mm Hg),BPT(deg K) ','TIME AFTER FUNCTIONING (min)  ',
     $'OUTPUT CONTROL CODE           ','HEIGHT OF STACK (m)           ',
     $'DIAMETER OF STACK (m)         ','TEMPERATURE OF STACK (deg C)  ',
     $'VELOCITY OF EFFLUENT (m/sec)  ','RELATIVE DENSITY OF EFFLUENT  ',
     $'FROST PROFILE EXPONENT        ','HEAT RELEASED (cal)           ',
     $'CLOUD RADIUS (m)              ','STATION LATITUDE AND LONGITUDE',
     $'MONTH,DAY,HOUR: (JAN,01,1200) ','CLOUD COVER(1/10),CLOUD HT(ft)',
     $'SUN ELEVATION ANGLE (deg)     ','WOODS TYPE                    ',
     +'AND ROUGHNESS LENGTH (cm)     '/ 
      DATA SYM/ 
     $'NOV','LOC','SEA','HML','MUN','AGN','QQQ','REL','STB','WND',  
     $'   ','TMP','   ','FMW','   ','PMM','SUR','TEV','ARE','LEN',  
     $'   ','TIM','OPC','HST','DST','TST','VST','RDE','FRO','HRL',
     $'CRD','   ','   ','   ','SUN','WOO','ZZO'/
      IF (IQ.GT.36) RETURN
      IF (IQ.EQ.17.OR.IQ.EQ.22.OR.IQ.EQ.16.OR.IQ.EQ.23.OR.
     +IQ.EQ.29.OR.IQ.EQ.36) WRITE(*,*)
      IF (IRT.EQ.1) GO TO 10
      IF (IQ.EQ.13.AND.IR.NE.3) THEN
      WRITE(*,104) IQ,QTAB(IQ),SYM(IQ)
      RETURN
      ENDIF
      WRITE(*,100) IQ,QTAB(IQ),SYM(IQ)
      IF (IQ.EQ.29.AND.IVD.EQ.1) WRITE(*,106) QTAB(37),SYM(37)
      RETURN
   10 IF(IQ.EQ.13.OR.IQ.EQ.7) THEN
      WRITE(*,105) IQ,QTAB(IQ),(QT(I),TWL(I),I=1,NQI)
      RETURN
      ENDIF
      IC=IQR(IQ)
      IN=IQM(IQ)
      IF (IC.LT.43) WRITE(*,101) IQ,QTAB(IQ),SYM(IQ),
     $(PR(IC+I-1),I=1,IN)
      IF(IC.GT.42.AND.IC.LT.54) WRITE(*,102) IQ,QTAB(IQ),SYM(IQ),
     $(LOCT(IC-42+I-1),I=1,IN)
      IF (IC.GT.54) WRITE(*,103) IQ,QTAB(IQ),SYM(IQ),
     $(IPR(IC-53+I-1),I=1,IN)
      IF(IQ.EQ.29.AND.IVD.EQ.1)WRITE(*,106)QTAB(37),SYM(37),Z0
      RETURN
  100 FORMAT(1X,I2,'. ',A30,A3)
  101 FORMAT(1X,I2,'. ',A30,A3,4F10.2)
  102 FORMAT(1X,I2,'. ',A30,A3,2X,A3)
  103 FORMAT(1X,I2,'. ',A30,A3,3I7)
  104 FORMAT(1X,I2,'. NQI,',A30,A3)
  105 FORMAT(1X,I2,'. ',A30,1P2E10.3,/(35X,2E10.3))
  106 FORMAT(5X,A30,A3,F10.2)
      END
